commit e2bf5b255611de267bc1c56b2fccf51268d28f3d
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Jan 8 11:04:38 2013 +0100

    cirrus: release 1.5.2

commit bade70ce71ea26fae4f250f0bd1729dfb0d392df
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Tue Jan 8 11:00:33 2013 +0100

    cirrus: fix out of bounds access to shadowfb
    
    Perform the same bounds checking other drivers do. Thanks to Dave Gilbert for feedback on this patch.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@canonical.com>

commit 5fcb3b018797457c3099a86c6c1257b6e4e89ceb
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Sep 25 08:54:36 2012 -0400

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit aa9016576163b3065910437b6ea51a69f24a41ca
Author: Dave Airlie <airlied@gmail.com>
Date:   Tue Aug 21 21:01:43 2012 +1000

    cirrus: fix build against old server
    
    Reported-by: jobermayer on irc
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bc04e9ed659be51a3c712f34a038bd60f639f9c5
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Aug 20 13:49:19 2012 +1000

    cirrus: fix falling back after kernel check
    
    if we find a kernel driver the code leave the pci slot claimed which
    stops us falling back. unclaim the pci slot.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 129076c2a9c20ab515736bb7141b4f334699e21b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-cirrus: bump to version 1.5.1
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e443ede15981549ff5f6b01f42c3cb8dc909d778
Author: Dave Airlie <airlied@gmail.com>
Date:   Fri Jul 13 14:47:40 2012 +1000

    cirrus: handle server with no XAA
    
    this fixes cirrus to work with a server with no XAA module.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 46a9e962c6f33509e89d664115a9a2db51c9b67d
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 11:57:59 2012 +0100

    cirrus: bump to 1.5.0 for release.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 7ae890b29b12609d410f5558640bb0407b0fdd2d
Author: Johannes Obermayr <johannesobermayr@gmx.de>
Date:   Sat Jun 9 11:29:02 2012 +0100

    use int scrnIndex instead of int i in macro SCREEN_INIT_ARGS_DECL.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit bab8041291ff81c81a98aca385cce561ecddc9d1
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jun 5 19:35:39 2012 +0100

    cirrus: drop xf86PciInfo.
    
    This drops usage of deprecated header file.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 9a5e19597be4f5ee4c1030e4a716207789e78668
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jun 5 19:26:15 2012 +0100

    cirrus: convert to compat server API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 2e35bc316d7b74feca177c87a49a8050a2a0ff00
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu May 17 10:23:34 2012 +0100

    cirrus: don't bind if there is a PCI kernel driver loaded.
    
    this should ensure we end up using -modesetting under kms.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 52ae4d254fee97a215ac497a45b69b4c83470b2b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 18:48:04 2012 -0700

    xf86-video-cirrus 1.4.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3fade932efae82c0ebd81a93aeaffd4e63640736
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Mar 13 18:36:15 2012 -0400

    alpine: Fix int10 setup
    
    The PC98-removal fix accidentally took out the non-PC98 path here.
    
    Reported-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit cbca35e71ed553f331a7eaa1525dad1dbe2a4904
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Dec 20 13:56:42 2011 -0500

    Typo fix
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit f422d0c38b0befdb2152215ab05d0d14f3da3ed9
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:46:26 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 92c7067070455610bd761b73f992642882ca2156
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:21:51 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d9c9cc333e8a67749c20b3b30129f4d2297a3e0a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Oct 30 20:34:47 2011 -0700

    Build fix for older servers (error: conflicting types for 'pciTag')
    
    /usr/include/xorg/xf86Pci.h:254:25: note: previous declaration of 'pciTag' was here
    
    Reported-by: Johannes Obermayr <johannesobermayr@gmx.de>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 05fd00f46eb3be46d669921d11dff6fe8a5bb60b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 16:58:41 2011 -0700

    pciTag was removed from xorg-server, so provide it in-driver until this is updated to use libpciaccess
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1a4dc3fb35223b708f27746b9d30a068a046cf3a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 16:47:43 2011 -0700

    Disable PC98 code on newer servers.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 28aef0c4a45288751b2d5b7d5d0c452a116a5b38
Author: Satoshi KImura <satosi.kimura@nifty.ne.jp>
Date:   Fri Oct 21 15:34:41 2011 -0700

    Add support for the NEC PC-9821
    
    https://bugs.freedesktop.org/show_bug.cgi?id=1837
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f5a8080f149a2f2658b7773ae7db7c67c52c4199
Author: Stefan Potyra <sistpoty@ubuntu.com>
Date:   Thu Oct 20 14:44:44 2011 -0700

    Limit the maximul pitch of GD5436 and GD5446
    
    Limit the maximum supported pitch of the GD5446 to 4088, since the internal
    pitch register is only 9 bit (and contains the pitch left shifted by 3).
    
    See https://bugs.freedesktop.org/show_bug.cgi?id=23775
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 9fcfd1aa760023e449cbb8c1eebd0bb570a6aacb
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 00:12:15 2011 -0700

    Build fix for ABI Version 12
    
    ABI Version 12 removes support for multiple PCI domains.  If you need to
    use this driver on a system with more than one PCI domain, you should
    either port this driver to using libpciaccess directly or stick with an
    older server.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 80f60e4af0e0b124335c5a09cad0b1eb42583536
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 17 01:42:00 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3e5ebc4c1b9c2f751e50415b0d1bbb670c659eac
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 17 01:40:17 2011 -0700

    GD5436 timings are the same as GD5446
    
    Based on information from http://www.xfree86.org/3.3.6/cirrus1.html
    See: https://bugs.freedesktop.org/show_bug.cgi?id=4169
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e4f80ffd9dbcc08f361cda560036584f19386e0a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:34:26 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 366a025a3f3d90e526c639c9048bf5eb2a150d09
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c3daa8cd1d413463d9fd8a37e0bf7e4a726294a4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 278aaf299ce331d80e9f7cab16de486af59838b1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 33b562de1f0cca64b42f406421f831fb4b560241
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7e57f3cfab16385964b99cb50b5a72d886147a2a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit eab829dcd71757dc67115b3abce7a5e19f3b6344
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit edf97d9e61b3d2fcdf55dbe17750440f9a7e9e2c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 78c1ea02b3e219e466b83ef00eec54f307c2ec68
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fed5c9e4c8d0b5b4c706f67ccba5556cb4b0b1bd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:30 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4b18662b6f90e78914f4bac9e5ae682d9bd1dbd5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d0e8c28f0bbc56573a8260c3ee077eb61813ca0e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit ebb417ee48cb68a173d1853559dbad8b0461b7b6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:53:13 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 80e115c8cdc051e0b9aced2c809997f4545457c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ad50be355b8ba3963534e45f564ed94e9a3ffc24
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 385557063f63121ba8ae81ec75f765b4fb9e5d7a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit d2bed9c37b379ccd88163ec009a7aff5a84203aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 53b83b628cce7811f0de9836e37c452c76906d91
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 70204fab0297c9b0297c4205fe946ee45b814a0d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 15:31:26 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f68b55531f0ba74820ae59d0aebd025aeae8ddf5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5cbe6d11d11070da698a6a3ddd5d95d1cff34da1
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:26 2009 +1000

    cirrus: bump for release 1.3.2

commit 4ecaa548a996475fbb4c6403698b2ecaf35e9d6b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    cirrus: change to using ABI version check

commit 2765aba56fe66038ab7de554474b8d30995f3ef0
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:29 2009 +1000

    cirrus: update for resources/RAC API removal

commit ecdf94e86d44bdbeff1bb944fb372da92d2fa907
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 10:28:20 2009 -0400

    cirrus 1.3.1

commit 2939b59585d96bb9b6f852ddb1eaa5ffd4df1cfb
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 10 14:16:32 2009 +1000

    cirrus: add inputstr.h explicitly
    
    using inputInfo requires inputstr.h this got included by accident before

commit f07b4a3c5dd3e6834367e223aa454054c34a2ac8
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 14:53:06 2009 -0400

    Remove useless loader symbol lists.

commit 15b1632d4136d4d20e006626836fb1f73c5a61f7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 7 06:56:57 2009 -0700

    Version 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b2dd1f8616e0863710abe1efd0d6444d749b6c49
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 7 06:45:12 2009 -0700

    Updates to COPYING, README, & cirrus.man
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 5db201643fc0e1554fb522db3a215f55938dd1e3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu May 7 06:43:12 2009 -0700

    renamed:    {man,src}/.cvsignore -> {man,src}/.gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8676a781c9fcbf03e61f9805c436d21555220e9a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 18:30:25 2009 -0700

    Raise minimum xorg-server required to 1.4 for miGetPointerPosition
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6e13b31347c298e72f0f4bcaf94b56172a48bd5c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Apr 24 02:31:23 2009 -0700

    Replace static ChangeLog with XORG_CHANGELOG, use XORG_CWARNFLAGS too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 19b9d2335a89269b271583101d4fe377c5dfdddf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:38:04 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit c5c3a60d085efdc32132f0a19de50b559dcf3827
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:26:50 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit d92459edcb8917d51435110f6b30a133d8ce7d52
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Sep 16 23:48:07 2008 +0200

    alpine: fix order of arguments of PCI_WRITE_LONG().

commit 6dcbf42d6ddf0f8b55feb72008c4f79b18a1603a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jul 17 19:06:42 2008 -0300

    Update to use miPointerGetPosition.
    
      miPointerPosition is deprecated.

commit 8341f8b0298eef41ff9db582305e3b7006cdf27a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jul 28 19:09:16 2008 -0300

    Export symbols used by different cirrus driver modules.
    
    Symbols are used by cirrus_drv.so, cirrus_alpine.so, and cirrus_laguna.so.
    
    These must have public visibility if compiling with hidden symbols.

commit 5dfd5d1772e2119c6b54f4548ae359cc9483e8fc
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 15:43:45 2008 -0400

    cirrus 1.2.1

commit e44db96ed07ff1425a1a465ab32fd2d53a81b10c
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Mar 24 14:54:13 2008 -0400

    Bug #10715: Fix depth configuration for alpine chips.
    
    In particular, don't try to set up 24+32 on the chip that qemu emulates,
    since it doesn't work, either in qemu or in hardware.

commit e9d517d8bd7398aa9ca33ceb64db46d659f70707
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 13:45:30 2008 -0400

    chips 1.2.0

commit 0bb813fa212b0c349b92c3ae2f9165738003533d
Author: Dave Airlie <airlied@linux.ie>
Date:   Thu Mar 13 12:44:21 2008 +1000

    cirrus: set default depth to 24bpp
    
    this fixes autoconfiguation and it shouldn't override anything else.

commit 2cece73303455fb9a28e723d6b8c1e3eb867b8ed
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 23:27:13 2008 +0100

    Makefile.am: nuke RCS Id

commit 78ce737e57867472c8166135a4dccd06eb1b2023
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jan 21 18:16:33 2008 +1000

    fixup iomapsize so we only map the 4k not 16k which is an error

commit 25abf8e9b55efe51b9ef0fcde3b98c38bf3a7ba6
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jan 8 15:49:24 2008 +1000

    make dist check pass

commit 8a33d2b5a820789309688855c81a4b11f8283500
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jan 8 15:48:00 2008 +1000

    test for 1/4 bpp in case server is configured with them off

commit 46e982ec0208bf7a32d47cd7cf7b1895e7bbfe1d
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jan 8 15:06:33 2008 +1000

    cirrus initial pci access support

commit 6d114041dc22763aa89ef6a4f4af3246de3e3b1b
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 10:26:40 2007 +0200

    Define CIR_*_VERSION* using PACKAGE_VERSION_*

commit 6438659655d3cc23e39be9c0c9673c3247282997
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:42:30 2007 -0800

     renamed: .cvsignore -> .gitignore

commit 43d9703ddf79314015b66c81c671ef254fbb3934
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Mar 1 10:41:58 2007 -0800

    Replace references to XFree86/XF86Config in man page

commit 1ba52ebddd605c9341ff7f0a880c272a78f467ed
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 18:57:40 2006 +0000

    VERSION -> CIR_VERSION

commit e6588f26e12bb737551b9448911c31129978ea85
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 18:44:20 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 9ca7e7fcfc53ae9054661219aa366409089c3f8d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:59 2005 +0000

    Update package version for X11R7 release.

commit 2d8e201ee988646bd8601dbc2b8c32571fdac017
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:52 2005 +0000

    Stub COPYING files

commit dbf028bd0148d2317e7b87fad857ad0f7accd234
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:16 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 4456ba0a597443aed32bf686b79c22ef19ac0102
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:33 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 134440cd4ab932803b100bf7767776fb0ffb2d0d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:33 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 2f48ba72c2009bc3c7b83d2b1415df897a2b26e4
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:07 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 444b38c206b6a7c037615694c2a7ada84380698e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:58 2005 +0000

    Only build dlloader modules by default.

commit 6d3a17ba84343fb5c0cf75039a4e5cbd3274cfc3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:08 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 2820e709f8d2366cdaf2aa7df8b9ad44fafc1886
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Nov 28 16:05:38 2005 +0000

    Separate cirrus driver into _drv, _alpine and _laguna components as they
        are in the monolithic tree.

commit 53e79befceacccee15bfa47b56b34b180f3039cb
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:11 2005 +0000

    Add .cvsignores for drivers.

commit ad036f9f6ef53fa454f63f4426a17e55d7598343
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:14 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 4c88ee7e2f5297a260b8d4871869cfa0494d157f
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:52 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 44e282ad51518a06f6c5cd8c871b0bcd08ec0477
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:02 2005 +0000

    Update package version number for RC1 release.

commit 2fe8297b577524e052987756a4902a20b7f41606
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:53 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 2b3c8a3d754b4511ae7f90051c5ed995b1e45765
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:32 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit a5f509023c24021c5eb1a272a4423cbfe4b634c5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:02 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 96c957a338d3aca2756b86680c052f602fee1e10
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Sep 27 20:53:19 2005 +0000

    Update build system for apm, chips, cirrus, glint, i740, mga, neomagic,
        newport to accomodate various new documentation and utility files.

commit 60d397b933810bf2a377c00b3b2ce1ea5048b384
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:46 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 31a03e7fac786df5b3e51586a9f338cf019210a9
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:43 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 269bb85534031d11bd008b530e39e52b86734832
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jul 25 23:46:27 2005 +0000

    src/Makefile.am

commit 6ced8240c5d328b1edc2ba54d49f3d362e596244
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jul 25 23:46:15 2005 +0000

    man/Makefile.am

commit c8160cf29932bef0a9b850c068587d1f1ad579ba
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jul 25 23:45:41 2005 +0000

    Build system for Cirrus driver

commit 133e8b674546c50db80cb39d0ca526d6fb1ed12b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:29:46 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit 88c1e79c6b3fff064ca5ba2cc500714707d605be
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 26 04:38:12 2005 +0000

    Bug #3628: Fix video driver submodule visibility.

commit 57144d6c9ea250b1d9a40bac4c70180593c1ca2c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:54 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 264b155fdc7f0f860a5cfa5932fb683e5d1934ef
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:23 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 979f1e0c830891c9e4f0b4837980766cc7eac3d7
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:52 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit c15b8a386fc6915e2ec13b0b8b9a15eb7277d665
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:23:02 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 5308a983f77e8cd96538c4637062aa29a705caa3
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:28:21 2004 +0000

    Merging XORG-CURRENT into trunk

commit fb8a70faaa717c7b998ad531e8b0c0620f56a731
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:20 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d54af9086282437c9928ba667a763bff2cbaf740
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:18 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit cc1c352f76fc1138223cab6449bdbf5538400e27
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:52 2004 +0000

    readding XFree86's cvs IDs

commit 99774def5b55af0af2d53f78c4e09000c9105c29
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:18 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 08e4d07d7203d7db746839725d632756ede8816d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:36 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 2c120fef2e3e4fa5751e29e6e80e70edba6e3e7a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit 97c9ec2c1201ec09c359f92817033281045c537e
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision
